Subject: RE: [Ltru] Re:[psg.com #1107] IETF/LC Transition rules (gen-art 1)

From: "Addison Phillips" <[email-masked]>
Date: Tue, 6 Sep 2005 17:33:27 -0700

Your suggestions required some extra wordsmithing. Here is what I came up with:

--
<t>Upon adoption of this document an initial version of the Language Subtag Registry containing the various subtags initially valid in a language tag is necessary. This collection of subtags, along with a description of the process used to create it, is described by <xref target="initial-registry"></xref>. IANA SHALL publish the initial version of the registry described by this document from the content of <xref target="initial-registry"></xref>. Once published by IANA, the maintenance procedures, rules and registration processes described in this document will be available for new registrations or updates.</t>
--

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Randy Presuhn
> Sent: 2005?9?5? 20:14
> To: LTRU Working Group
> Subject: [Ltru] Re:[psg.com #1107] IETF/LC Transition rules (gen-art 1)
> 
> Hi -
> 
> As a technical contributor...
> 
> > From: "Addison Phillips" <[email-masked]>
> > To: "LTRU Working Group" <[email-masked]>
> > Cc: "Elwyn Davies" <[email-masked]>
> > Sent: Wednesday, August 31, 2005 1:53 PM
> > Subject: [Ltru] Transition rules (gen-art #1)
> ...
> > Proposed resolution:
> 
> looks good to me, with minor comments inline below...
> 
> > To clear the interregnum problem, I propose inserting the following
> > text in Section 3.7 (insertion marked with >>> and <<<):
> >
> > --
> > Registrations that are in process under the rules defined in
> > <xref target="RFC3066"></xref> when this document is adopted
> >   MAY be completed under the former rules, at the discretion
> > of the Language Tag Reviewer >>> (as described in <xref
> > target="RFC3066"></xref>). Until the IESG officially appoints
> > a Language Subtag Reviewer, the existing Language Tag Reviewer
> > will serve as the Language Subtag Reviewer. <<<
> 
> will -> SHALL
> 
> > --
> >
> > To address the timing problem I propose inserting the following text in
> Section 3.7 as shown:
> >
> > --
> > Upon adoption of this document an initial version of the
> > Language Subtag Registry containing the various subtags initially
> > valid in a language tag is necessary. This collection of subtags,
> > along with a description of the process used to create it, is
> > described by <xref target="initial-registry"></xref>. >>> IANA
> > will publish the new registry as described in that document, at
> 
> will -> SHALL
> replace "as described in" with "content provided by" to remove ambiguity
> (The IANA considerations section already says this, so I'm not sure this
> is really needed.)
> 
> > which point the maintenance rules and registration processes
> > described in this document will be available for new registrations
> > or updates. <<<
> > --
> ...
> 
> Randy
> 
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: [email-masked]
Date: Tue, 6 Sep 2005 17:47:24 -0700

You wrote:

>Upon adoption of this document an initial version of the Language Subtag 
Registry containing the various subtags initially valid in a language tag 
is necessary. 

Is this better?

"Adoption of this document necessitates the creation of a Language Subtag 
Registry containing the various valid subtags in a language tag."

(It seemed like "initial" and "initially" were redundant in the paragraph 
and the sentence. Seems like the most important point is the necessary 
existence of the subtag registry and the ongoing process to maintain it.)

- Karen Broome

"Addison Phillips" <[email-masked]>
Sent by: [email-masked]
09/06/2005 05:33 PM

        To:     "Randy Presuhn" <[email-masked]>, "LTRU Working Group" 
<[email-masked]>
        cc: 
        Subject:        RE: [Ltru] Re:[psg.com #1107] IETF/LC Transition rules (gen-art 1)

Your suggestions required some extra wordsmithing. Here is what I came up 
with:

--
<t>Upon adoption of this document an initial version of the Language 
Subtag Registry containing the various subtags initially valid in a 
language tag is necessary. This collection of subtags, along with a 
description of the process used to create it, is described by <xref 
target="initial-registry"></xref>. IANA SHALL publish the initial version 
of the registry described by this document from the content of <xref 
target="initial-registry"></xref>. Once published by IANA, the maintenance 
procedures, rules and registration processes described in this document 
will be available for new registrations or updates.</t>
--

Addison P. Phillips